clang 10.0.0git

Classes | Namespaces | Macros
AllDiagnostics.h File Reference

Includes all the separate Diagnostic headers & some related helpers. More...

`#include "clang/Basic/DiagnosticAST.h"`
`#include "clang/Basic/DiagnosticAnalysis.h"`
`#include "clang/Basic/DiagnosticComment.h"`
`#include "clang/Basic/DiagnosticCrossTU.h"`
`#include "clang/Basic/DiagnosticDriver.h"`
`#include "clang/Basic/DiagnosticFrontend.h"`
`#include "clang/Basic/DiagnosticLex.h"`
`#include "clang/Basic/DiagnosticParse.h"`
`#include "clang/Basic/DiagnosticSema.h"`
`#include "clang/Basic/DiagnosticSerialization.h"`
`#include "clang/Basic/DiagnosticRefactoring.h"`
Include dependency graph for AllDiagnostics.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::StringSizerHelper< SizeOfStr, FieldType >

## Namespaces
| clang
| Dataflow Directional Tag Classes.

## Macros
#define | STR_SIZE(str, fieldTy)

## Detailed Description

Includes all the separate Diagnostic headers & some related helpers.

Definition in file AllDiagnostics.h.

## Macro Definition Documentation

## ◆ STR_SIZE

#define STR_SIZE | ( |  | str,
|  |  | fieldTy
| ) |  |

Value:
clang::StringSizerHelper<sizeof(str)-1, \
fieldTy>::Size
clang::StringSizerHelper
Definition: AllDiagnostics.h:31

Definition at line 38 of file AllDiagnostics.h.